package com.ruoyi.base.domain;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 电柜信息对象 base_cabinet_info
 *
 * @author ruoyi
 * @date 2024-10-31
 */
public class BaseCabinetInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标识编号 */
    @Excel(name = "标识编号")
    private Long objId;

    /** 电柜编号 */
    @Excel(name = "电柜编号")
    private Long cabinetCode;

    /** 电柜别名 */
    @Excel(name = "电柜别名")
    private String cabinetAlias;

    /** 是否检测:1-是；0-否 */
    @Excel(name = "是否检测:1-是；0-否")
    private Long isChecked;

    /** 是否标识:1-是；0-否 */
    @Excel(name = "是否标识:1-是；0-否")
    private Long isFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    /** 是否旋转:1-是;0-否 */
    @Excel(name = "是否旋转:1-是;0-否")
    private Long isRotate;

    /** 旋转角度 */
    @Excel(name = "旋转角度")
    private BigDecimal rotateAngle;
/*
    public List<BaseBusbarInfo> children = new ArrayList<BaseBusbarInfo>();*/

    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }
    public void setCabinetCode(Long cabinetCode)
    {
        this.cabinetCode = cabinetCode;
    }

    public Long getCabinetCode()
    {
        return cabinetCode;
    }
    public void setCabinetAlias(String cabinetAlias)
    {
        this.cabinetAlias = cabinetAlias;
    }

    public String getCabinetAlias()
    {
        return cabinetAlias;
    }
    public void setIsChecked(Long isChecked)
    {
        this.isChecked = isChecked;
    }

    public Long getIsChecked()
    {
        return isChecked;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }
    public void setCreatedBy(String createdBy)
    {
        this.createdBy = createdBy;
    }

    public String getCreatedBy()
    {
        return createdBy;
    }
    public void setCreatedTime(Date createdTime)
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime()
    {
        return createdTime;
    }
    public void setUpdatedBy(String updatedBy)
    {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy()
    {
        return updatedBy;
    }
    public void setUpdatedTime(Date updatedTime)
    {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime()
    {
        return updatedTime;
    }
    public void setIsRotate(Long isRotate)
    {
        this.isRotate = isRotate;
    }

    public Long getIsRotate()
    {
        return isRotate;
    }
    public void setRotateAngle(BigDecimal rotateAngle)
    {
        this.rotateAngle = rotateAngle;
    }

    public BigDecimal getRotateAngle()
    {
        return rotateAngle;
    }

/*
    public List<BaseBusbarInfo> getChildren() {
        return children;
    }

    public void setChildren(List<BaseBusbarInfo> children) {
        this.children = children;
    }*/

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("cabinetCode", getCabinetCode())
            .append("cabinetAlias", getCabinetAlias())
            .append("isChecked", getIsChecked())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createdBy", getCreatedBy())
            .append("createdTime", getCreatedTime())
            .append("updatedBy", getUpdatedBy())
            .append("updatedTime", getUpdatedTime())
            .append("isRotate", getIsRotate())
            .append("rotateAngle", getRotateAngle())
            .toString();
    }
}
